nxt.messaging

## Class UnencryptedPrunableEncryptedMessageAppendix

- java.lang.Object
- - nxt.blockchain.Appendix.AbstractAppendix
  - - nxt.messaging.PrunableEncryptedMessageAppendix
    - - nxt.messaging.UnencryptedPrunableEncryptedMessageAppendix

- All Implemented Interfaces:
    Appendix, Appendix.Encryptable, Appendix.Prunable

      public final class UnencryptedPrunableEncryptedMessageAppendix
      extends PrunableEncryptedMessageAppendix
      implements Appendix.Encryptable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface nxt.blockchain.Appendix

      `Appendix.AbstractAppendix, Appendix.Encryptable, Appendix.Parser, Appendix.Prunable`

  - ### Field Summary

    - ### Fields inherited from class nxt.messaging.PrunableEncryptedMessageAppendix

      `appendixName, appendixParser, appendixType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnencryptedPrunableEncryptedMessageAppendix(byte[] messageToEncrypt, boolean isText, boolean isCompressed, byte[] recipientPublicKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Transaction transaction, Account senderAccount, Account recipientAccount)`
    `void` | `encrypt(java.lang.String secretPhrase)`
    `int` | `getMyFullSize()`
    `void` | `loadPrunable(Transaction transaction, boolean includeExpiredPrunable)`
    `protected void` | `putMyBytes(java.nio.ByteBuffer buffer)`
    `protected void` | `putMyJSON(org.json.simple.JSONObject json)`
    `void` | `putMyPrunableBytes(java.nio.ByteBuffer buffer)`
    `void` | `validate(Transaction transaction)`

    - ### Methods inherited from class nxt.messaging.PrunableEncryptedMessageAppendix

      `getAppendixName, getAppendixType, getBaselineFee, getEncryptedData, getHash, getMySize, hasPrunableData, isAllowed, isCompressed, isPhasable, isText, restorePrunableData`

    - ### Methods inherited from class nxt.blockchain.Appendix.AbstractAppendix

      `getBaselineFeeHeight, getFee, getFullSize, getJSONObject, getNextFee, getNextFeeHeight, getSize, getVersion, isPhased, loadPrunable, putBytes, validateAtFinish, validateId, verifyVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.blockchain.Appendix.Prunable

      `shouldLoadPrunable`

    - ### Methods inherited from interface nxt.blockchain.Appendix

      `hasAppendix`

- - ### Constructor Detail

    - #### UnencryptedPrunableEncryptedMessageAppendix

          public UnencryptedPrunableEncryptedMessageAppendix(byte[] messageToEncrypt,
                                                             boolean isText,
                                                             boolean isCompressed,
                                                             byte[] recipientPublicKey)

  - ### Method Detail

    - #### getMyFullSize

          public int getMyFullSize()

      Specified by:
        `getMyFullSize` in interface `Appendix.Prunable`
      Overrides:
        `getMyFullSize` in class `PrunableEncryptedMessageAppendix`

    - #### putMyBytes

          protected void putMyBytes(java.nio.ByteBuffer buffer)

      Overrides:
        `putMyBytes` in class `PrunableEncryptedMessageAppendix`

    - #### putMyPrunableBytes

          public void putMyPrunableBytes(java.nio.ByteBuffer buffer)

      Specified by:
        `putMyPrunableBytes` in interface `Appendix.Prunable`
      Overrides:
        `putMyPrunableBytes` in class `PrunableEncryptedMessageAppendix`

    - #### putMyJSON

          protected void putMyJSON(org.json.simple.JSONObject json)

      Overrides:
        `putMyJSON` in class `PrunableEncryptedMessageAppendix`

    - #### validate

          public void validate(Transaction transaction)
                        throws NxtException.ValidationException

      Overrides:
        `validate` in class `PrunableEncryptedMessageAppendix`
      Throws:
        `NxtException.ValidationException`

    - #### apply

          public void apply(Transaction transaction,
                            Account senderAccount,
                            Account recipientAccount)

      Overrides:
        `apply` in class `PrunableEncryptedMessageAppendix`

    - #### loadPrunable

          public void loadPrunable(Transaction transaction,
                                   boolean includeExpiredPrunable)

      Overrides:
        `loadPrunable` in class `PrunableEncryptedMessageAppendix`

    - #### encrypt

          public void encrypt(java.lang.String secretPhrase)

      Specified by:
        `encrypt` in interface `Appendix.Encryptable`